package com.ruoyi.framework.topology.collect;

import com.alibaba.fastjson.JSONArray;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.topology.mutual.Mutual;
import com.ruoyi.common.utils.spring.SpringUtils;
import com.ruoyi.topology.service.impl.OracleServiceImpl;

import java.util.Map;

/**
 * @author jianglw
 * @version 1.0
 * @date 2021/4/26 19:48
 */
public class OracleType implements CollectTopologyType {
    OracleServiceImpl oracleService= SpringUtils.getBean( "OracleServiceImpl" );
    @Override
    public Map<String, Object> getData(String param, JSONArray jsonArray) {
        return oracleService.getOracleData( param );
    }

    @Override
    public AjaxResult setData(Mutual mutual) {
        if(oracleService.setOracleData( mutual.getCondition() )>0){
            return AjaxResult.success();
        }
        return AjaxResult.error("修改失败");
    }
}
