package com.ruoyi.topology.service.impl;

import com.ruoyi.common.core.domain.topology.Image;
import com.ruoyi.topology.mapper.ImagesMapper;
import com.ruoyi.topology.service.IimagesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author jianglw
 * @version 1.0
 * @date 2021/6/17 9:36
 */
@Service
public class ImagesServiceImpl implements IimagesService {
    @Autowired
    private ImagesMapper imagesMapper;
    @Override
    public Integer addImages(String url) {
        return imagesMapper.addImages(url);
    }

    @Override
    public Integer deleteImages(Integer id) {
        return imagesMapper.deleteImages(id);
    }

    @Override
    public List<Image> getImages() {
        return imagesMapper.getImages();
    }
}
