package com.ruoyi.web.controller.topology;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.framework.publicinter.PublicInterface;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 组态公共调用方法
 * @author jianglw
 * @version 1.0
 * @date 2021/4/7 10:34
 */
@RestController
@RequestMapping("/params")
@Slf4j
public class ParamsController {

    @Autowired
    private PublicInterface publicInterface;

    /**
     *
     * @param id
     * @param setterTag
     * @param setteeTag
     * @return
     */
    @GetMapping("/show")
    public AjaxResult show(@RequestParam(value = "id") String id,
                                @RequestParam(value = "setterTag") String setterTag,
                                @RequestParam(value = "setteeTag") String setteeTag) {
        try {
            return publicInterface.publicMethod( id,setterTag,setteeTag );
        } catch (Exception e) {
            e.printStackTrace();
        }
        return AjaxResult.error();
    }

}
