package com.ruoyi.common.topology.handletype;

import com.ruoyi.common.topology.change.AssembleData;
import com.ruoyi.common.topology.change.Handle;
import com.ruoyi.common.utils.StringUtils;

import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/**
 * 组装动画类
 * @author jianglw
 * @version 1.0
 * @date 2021/6/1 17:26
 */
public class DoParam implements NodeLineParamsInt{

    @Override
    public void getDataToParams(Handle handle, Map<String, Object> map, Map<String, Object> map1, String echarts,String id) {
        Object o=AssembleData.getData( handle,map);
        if(o!=null){
            if(StringUtils.isNotBlank( o.toString() )){
                Map<String,Object> map2=new HashMap<>(  );
                List<Map<String, Object>> list1=new LinkedList<>(  );
                map2.put( handle.getType(), o );
                list1.add( map2 );
                map1.put( "actions", list1);
            }
        }
    }
}
