package com.ruoyi.framework.topology.collect;

import com.alibaba.fastjson.JSONArray;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.topology.mutual.Mutual;
import com.ruoyi.common.utils.spring.SpringUtils;
import com.ruoyi.topology.service.impl.MysqlServiceImpl;

import java.util.Map;

/**
 * @author jianglw
 * @version 1.0
 * @date 2021/4/9 9:57
 */
public class MysqlType implements CollectTopologyType {
    MysqlServiceImpl mysqlService= SpringUtils.getBean( MysqlServiceImpl.class );
    @Override
    public Map<String,Object> getData(String param,JSONArray jsonArray) {
        return mysqlService.getMysqlData( param );
    }

    @Override
    public AjaxResult setData(Mutual mutual) {
        if(mysqlService.setMysqlData(mutual.getCondition())>0){
            return AjaxResult.success();
        }
        return AjaxResult.error("修改失败");
    }
}
